corosync_vsf_iface_ver0 Struct Reference

`#include <vsf.h>`

## Data Fields

int(* | init )(struct corosync_api_v1 *api, void(*primary_callback_fn)(unsigned int *view_list, int view_list_entries, int primary_designated, struct memb_ring_id *ring_id))
| Executes a callback whenever component changes. More...
int(* | primary )(void)

## Detailed Description

Definition at line 38 of file vsf.h.

## Field Documentation

## init

int(* corosync_vsf_iface_ver0::init) (struct corosync_api_v1 *api, void(*primary_callback_fn)( unsigned int *view_list, int view_list_entries, int primary_designated, struct memb_ring_id *ring_id))

Executes a callback whenever component changes.

Definition at line 43 of file vsf.h.

## primary

int(* corosync_vsf_iface_ver0::primary) (void)

Return values

  1 | if we are primary component
  0 | if not primary component

Definition at line 55 of file vsf.h.

The documentation for this struct was generated from the following file:

- vsf.h